These are chat archives for spring-cloud/spring-cloud

10th
Nov 2018
Masykur Marhendra
@masykur_sn_twitter
Nov 10 2018 08:34
Hi all, anyone in here use spring cloud gateway ?
Masykur Marhendra
@masykur_sn_twitter
Nov 10 2018 09:04
I would like to know the performance ..
Spencer Gibb
@spencergibb
Nov 10 2018 17:28
what about the performance?
Spencer Gibb
@spencergibb
Nov 10 2018 17:37
@masykur_sn_twitter :arrow_up:
BenEfrati
@BenEfrati
Nov 10 2018 18:39
Hi, spring cloud config latest version (Finchley.SR2) is incompatible with Spring Boot 2.1.0.

***************************
APPLICATION FAILED TO START
***************************

Description:

The bean 'dataSource', defined in BeanDefinition defined in class path resource [org/springframework/boot/autoconfigure/jdbc/DataSourceConfiguration$Hikari.class], could not be registered. A bean with that name has already been defined in class path resource [org/springframework/boot/autoconfigure/jdbc/DataSourceConfiguration$Hikari.class] and overriding is disabled.

Action:

Consider renaming one of the beans or enabling overriding by setting spring.main.allow-bean-definition-overriding=true
BenEfrati
@BenEfrati
Nov 10 2018 18:54
@spencergibb Missed that, thanks!
Spencer Gibb
@spencergibb
Nov 10 2018 18:55
NP
BenEfrati
@BenEfrati
Nov 10 2018 18:57
there is a workaround to enabled the allow-bean-override property. Is there any other known issues with SP 2.1.0 and spring cloud current version?
Marcin Grzejszczak
@marcingrzejszczak
Nov 10 2018 19:03
@spencergibb we should definitely start thinking about the spring cloud plugin ;)
we would fail the build with a gigantic banner, "TO USE BOOT 2.1 YOU HAVE TO USE GREENWICH"
Spencer Gibb
@spencergibb
Nov 10 2018 19:28
maybe it could be autoconfiguration in commons?
Masykur Marhendra
@masykur_sn_twitter
Nov 10 2018 19:40
@spencergibb - thanks for the prompt response, I would like to know if there is any performance benchmark on the spring cloud gateway that have been done - i'm planning to migrate from cloud zuul to this one.
Rasheed Amir
@rasheedamir
Nov 10 2018 19:56
Invocation of init method failed; nested exception is java.lang.ArrayStoreException
as soon as I upgraded following:
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-kubernetes-config</artifactId>
            <version>0.3.0.RELEASE</version>
        </dependency>
the spring-boot version is 2.0.6.RELEASE
@spencergibb any thoughts?
Rasheed Amir
@rasheedamir
Nov 10 2018 20:40
Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'requestMappingHandlerMapping' defined in class path resource [org/springframework/boot/autoconfigure/web/servlet/WebMvcAutoConfiguration$EnableWebMvcConfiguration.class]: Invocation of init method failed; nested exception is java.lang.ArrayStoreException